package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.NatureOwnership;

public interface NatureOwnershipMapper {
    int deleteByPrimaryKey(String id);

    int insert(NatureOwnership record);

    int insertSelective(NatureOwnership record);

    NatureOwnership selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(NatureOwnership record);

    int updateByPrimaryKey(NatureOwnership record);

	List<NatureOwnership> selectByUid(String uid);

	int batchDeleteByPrimaryKey(List<String> id);

	int batchInsert(List<NatureOwnership> no);
}